<?php

namespace Jazzaaf\xenAntiVirus\XF\Entity;

use XF\Mvc\Entity\Structure;

class Attachment extends XFCP_Attachment
{
    public static function getStructure(Structure $structure)
    { 		
 		$structure = parent::getStructure($structure);
      
        $structure->relations['AttachmentCheck'] = [
            'entity' => 'Jazzaaf\xenAntiVirus:AttachmentCheck',
            'type' => self::TO_ONE,
            'conditions' => 'data_id',
            'primary' => false
        ];
		
        
        return $structure;
    }

}


